<solidify-empty-container (keydown.escape)="isEdit ? backToDetail() : backToList()"
                          [solidifyFocusFirstElement]="false"
>
  <solidify-button-toolbar-detail [currentModel]="currentObs | async"
                                  [formPresentational]="formPresentational"
                                  [deleteAvailable]="isDeletable"
                                  [mode]="isEdit ? 'edit' : 'detail'"
                                  [backToListNavigate]="backToListNavigate()"
                                  (backToDetailChange)="backToDetail()"
                                  (deleteChange)="delete()"
                                  (editChange)="edit()"
  >
  </solidify-button-toolbar-detail>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-admin-archive-acl-form #formPresentational
                                 *ngIf="isReadyToBeDisplayedObs | async"
                                 [editAvailable]="editAvailable && isDeletable"
                                 [model]="currentObs| async"
                                 [readonly]="!isEdit"
                                 (checkAvailableChange)="checkAvailable($event)"
                                 (dirtyChange)="updateCanDeactivate($event)"
                                 (editChange)="edit()"
                                 (navigate)="navigate($event)"
                                 (submitChange)="update($event)"
    >
    </dlcm-admin-archive-acl-form>
  </div>
</solidify-empty-container>
